# pdf_parser
## All the codes related to pdf parsing

### The following elements are to be parsed from documents.
1. Documents
    1. Extracting dates from documents
    1. Classification Tags
    1. Extracting Key Entities from documents
        1. Patents
        1. References
        1. Entities
            1. Names
            1. Addresses
            1. Law Firms
            1. Contact Numbers
            1. Emails
    1. Association with Cases

### Setting up the workspace environment
1. Creating a `virtual environment`.
    1. Launch the terminal.
    1. Go to the home directory by typing the following command.
        ``` bash
        cd ~
        ```
    1. Make a new directory `Installs` using the following command:
        ``` bash
        mkdir Installs
        ```
    1. Create a virtual environment `venv`
        ``` bash
        python3 -mvenv venv
        ```
    1. Activate the virtual environment:
        ``` bash
        source ~/Installs/venv/bin/activate
        ```
1. Setting up `apache-tika`
    1. Launch terminal
    1. Enter the following command to go to the base directory:
        ``` bash
        cd ~
        ```
    1. Download the apache-tika server using the following command:
        ``` bash
        wget https://www.apache.org/dyn/closer.lua/tika/1.28.4/tika-server-1.28.4.jar
        ```
    1. Check if java is installed in your machine by running the following command:
        ``` bash
        java --version
        ```
    1. If java is not installed in your local machine, please refer to [this documentation.](https://www.java.com/en/download/help/download_options.html)

    1. Running the tika server
       1. Create a new screen called `apache-tika`
            ``` bash
            screen -S apache-tika
            ```
       1. Enter the following command to run the tika server:
            ``` bash
            java -jar {your tika server}
            ```

### Setting up the code base.
1. Launch the terminal.
1. Enter the following command to go to the base directory:
   ``` bash
   cd ~
   ```
1. Make a new directory `Code` by using the following command:
   ``` bash
   mkdir Code
   ```
1. Pull the current repository by entering the following command:
   ``` bash
   git pull gogs@git.fafadiatech.com:harsh/pdf_parser.git
   ```

### TODO LIST:
1. Implementing OCR on tika.
1. Dockerising the whole apache tika with ocr.
1. Testing the re on the scanned pdfs.